@import url('constants.css');
@import url('font-styles.css');

/* ====================================== */
/* ====================================== */
/* ELEMENTS */
/* ====================================== */
/* ====================================== */
body {
  min-width: 100vw !important;
  width: 100vw !important;
  max-width: 100vw !important;
  min-height: 100vh !important;
  height: 100vh !important;
  max-height: 100vh !important;
  /* Montserrat Font */
  font-family: 'Montserrat', serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

a {
  color: var(--secondary-color);
  text-decoration: none;
}

/* ====================================== */
/* ====================================== */
/* IDs */
/* ====================================== */
/* ====================================== */

#VacancyHero {
  height: 35vh;
}

#FormCardContainer {
  margin-top: -15% !important;
}

/* ====================================== */
/* ====================================== */
/* CLASSES */
/* ====================================== */
/* ====================================== */
.app-preceding-icon {
  margin-right: 0.5rem;
}

.app-navbar-social-icons {
  margin-right: 1rem;
}

.app-navbar-logo {
  height: 6rem !important;
}

.app-logo {
  height: 6rem !important;
}

.app-footer-logo {
  height: 3rem !important;
}

.app-nav-dropdown {
  background-color: transparent !important;
}

.app-nav-dropdown-menu {
  background-color: var(--secondary-color);
}

.app-nav-dropdown-menu > li > a:hover {
  background-color: var(--primary-color);
}

.app-nav-dropdown:hover .app-nav-dropdown-menu {
  display: block;
}

.app-form-outline i {
  position: absolute;
  top: 53.8%;
  transform: translateY(-50%);
  pointer-events: none;
}

.fs-7 {
  font-size: 0.75rem !important;
}

.fs-8 {
  font-size: 0.5rem !important;
}

.fs-9 {
  font-size: 0.25rem !important;
}

.app-secondary-dropdown {
  background-color: var(--primary-color);
}

.app-primary-color {
  color: var(--primary-color);
}

.app-secondary-color {
  color: var(--secondary-color);
}

.app-white {
  color: var(--white);
}

.app-light-grey {
  color: var(--muted-text-color);
}

.app-bg-primary {
  background-color: var(--primary-color);
}

.app-bg-secondary {
  background-color: var(--secondary-color);
}

.app-bg-white {
  background-color: var(--white);
}

.app-opacity-1 {
  opacity: 0.1;
}

.app-opacity-2 {
  opacity: 0.2;
}

.app-opacity-3 {
  opacity: 0.3;
}

.app-opacity-4 {
  opacity: 0.4;
}

.app-opacity-5 {
  opacity: 0.5;
}

.app-opacity-6 {
  opacity: 0.6;
}

.app-opacity-7 {
  opacity: 0.7;
}

.app-opacity-8 {
  opacity: 0.8;
}

.app-opacity-9 {
  opacity: 0.9;
}

.app-opacity-10 {
  opacity: 1;
}

.app-line-1 {
  width: 3rem;
  height: 0.25rem;
}

.app-vacancy-card {
  background-image: url('../images/oil-drop-left-cut.png');
  background-repeat: no-repeat;
  background-position: -15% 95%;
  background-size: auto 20rem;
}

.app-vacancy-card:hover {
  outline: 2px solid var(--secondary-color) !important;
  transition: transform 0.2s;
  /* transform: scale(var(--scale-1)); */
}

.app-read-more {
  max-height: 2rem;
}

.app-email-background {
  background-image: url('../images/email-background.jpg');
  background-repeat: no-repeat;
  background-position: 50% 0%;
  background-size: 100% auto;
}

.app-oil-drop-background {
  background-image: url('../images/oil-drop-right-cut.png');
  background-repeat: no-repeat;
  background-position: 101% 100%;
  background-size: auto 30rem;
}

.app-oil-drop-background-form {
  background-image: url('../images/oil-drop-left-cut.png');
  background-repeat: no-repeat;
  background-position: 0% 100%;
  background-size: auto 20rem;
}

.app-primary-border {
  border-color: var(--primary-color) !important;
}

.app-secondary-border {
  border-color: var(--secondary-color) !important;
}

.app-primary-button {
  background-color: var(--primary-color);
  color: white;
}

.app-primary-button:hover {
  background-color: white;
  color: var(--primary-color) !important;
  border: 1px solid var(--primary-color);
}

.app-secondary-button {
  background-color: var(--secondary-color);
  color: white;
}

.app-secondary-button:hover {
  background-color: white;
  color: var(--secondary-color) !important;
  border: 1px solid var(--secondary-color);
}

/* ====================================== */
/* ====================================== */
/* MODIFIED BOOTSTRAP CLASSES */
/* ====================================== */
/* ====================================== */
